import {
  getReaderData,
} from '../../api/reader'

const reader = {
  state: {
    readerData: [],
  },
  mutations: {
    GET_READER_DATA: (state, data) => {
      state.readerData = data
    },
  },
  actions: {
    // 清空数据
    clearList({
      dispatch,
      commit
    }) {
      commit('GET_READER_DATA', [])
    },
    getReaderData({
      dispatch,
      commit
    },data) {
      return new Promise((resolve, reject) => {
        console.log(data)
        getReaderData(data).then(res => {
          console.log(res.data)
          if (res.code == 200) {
            resolve(res.data);
            commit('GET_READER_DATA', res.data)
          }
        }).catch(error => {
          reject(error);
        })
      })
    },
  }
}

export default reader
